
#ifndef _SYS_TIMEBASE_H_
#define _SYS_TIMEBASE_H_

struct timebase {
	u_int64_t	(*tb_read)(struct timebase *);
	u_int64_t	(*tb_update)(struct timebase *);
	u_int32_t	tb_frequency;
};

__BEGIN_DECLS
void timebase_register(struct timebase *);
int timebase_delta(void);
int timebase_microtime(struct timeval *);
__END_DECLS

#endif /* _SYS_TIMEBASE_H_ */

